Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
OnigCaseFoldCodeItem Struct Reference

`#include <onigmo.h>`

## Data Fields
int | byte_len
int | code_len
OnigCodePoint | code [ONIGENC_MAX_COMP_CASE_FOLD_CODE_LEN]

## Detailed Description

Definition at line 143 of file onigmo.h.

## Field Documentation

## ◆ byte_len

int OnigCaseFoldCodeItem::byte_len

Definition at line 144 of file onigmo.h.

Referenced by onigenc_ascii_get_case_fold_codes_by_str(), and onigenc_get_case_fold_codes_by_str_with_map().

## ◆ code

OnigCodePoint OnigCaseFoldCodeItem::code[ONIGENC_MAX_COMP_CASE_FOLD_CODE_LEN]

Definition at line 146 of file onigmo.h.

Referenced by onigenc_ascii_get_case_fold_codes_by_str(), and onigenc_get_case_fold_codes_by_str_with_map().

## ◆ code_len

int OnigCaseFoldCodeItem::code_len

Definition at line 145 of file onigmo.h.

Referenced by onigenc_ascii_get_case_fold_codes_by_str(), and onigenc_get_case_fold_codes_by_str_with_map().

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h